<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/modules/testcopy.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_unit_testing_testcopy extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->extend("notes");

   $this->data->title="Unit testing test copy";

   $this->data->addField("file", "file", "sql;form", "", 1, 1024, false, "File");

   $this->data->addField("manytoone", "nr", "sql;form", "", 1, false, 1, "Many to 1");
   $this->data->addReference("manyto1", "categories", "nr", "*:1", "manytoone");

   $this->data->addReference("onetomany", "categories", "catnr", "1:*", "nr");

   $this->data->addReference("manytomany", "categories", "nr", "*:*", "nr");
  }
 }
?>
